Page MenuHomePhabricator

Disable the feedback tool from UploadWizard, replace it with a Phabricator link
Closed, ResolvedPublic

Description

https://commons.wikimedia.org/wiki/Commons:Upload_Wizard_feedback is not being tended to by the Commons community, so instead just have a link to https://phabricator.wikimedia.org/maniphest/task/create/?projects=UploadWizard which is more useful.

Event Timeline

Jdforrester-WMF raised the priority of this task from to Needs Triage.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptSep 15 2015, 4:06 PM
Elitre added a subscriber: Elitre.Sep 15 2015, 4:20 PM
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF moved this task from Untriaged to Doing on the Multimedia board.
Jdforrester-WMF set Security to None.

I do not think that having just a redirect is a good idea as tasks are not the same as a support forum.

If https://commons.wikimedia.org/wiki/Commons:Upload_Wizard_feedback continues to exist it should not only provide a bare link to Phabricator but actually instructions how to provide enough and sufficient information in that yet-to-create bug report.
It should link to https://www.mediawiki.org/wiki/How_to_report_a_bug for the generic part and also providing specific info considered useful by UploadWizard developers. See also https://lists.wikimedia.org/pipermail/wikitech-l/2015-September/083238.html

A bare redirect would lead to numerous "it doesn't work" Phab tickets which you will have to triage, which in the end might mean "no better feedback level than before".

A bare redirect would lead to numerous "it doesn't work" Phab tickets which you will have to triage, which in the end might mean "no better feedback level than before".

Well... There are most good report. But the community does not has enough skills to look deeper in any report. And asking for moor informations shouldn't be a big deal. :-)

But the community does not has enough skills to look deeper in any report.

For example, anybody can use their web browser's developer console when good documentation is provided - shouldn't be a big deal.

And asking for moor informations shouldn't be a big deal. :-)

The better the initial report (and the instructions to create that report), the more time reporters and developers save, and the faster bugs can get fixed.

But the community does not has enough skills to look deeper in any report.

For example, anybody can use their web browser's developer console when good documentation is provided - shouldn't be a big deal.

And asking for moor informations shouldn't be a big deal. :-)

The better the initial report (and the instructions to create that report), the more time reporters and developers save, and the faster bugs can get fixed.

Makes sense. So a redirect to a how to report a bug page sounds reasonable.

Makes sense. So a redirect to a how to report a bug page sounds reasonable.

Yes, that sounds like a much better idea.

kaldari removed a subscriber: kaldari.Sep 15 2015, 6:55 PM

This was not discussed on wiki hence the proposal is invalid. As for direct Phabricator links, they are ok only if it's ok to drop some 95 % of the reports, given T963 etc. Sure, a good way to hide the problems and make it look like they don't exist; but hardly helpful to improve free knowledge.

I help cleanup the page every few months and it's usually not particularly hard. Users also give comments which are not related to UploadWizard and have to be moved to their talk page, which is also fine.

"Everyone can use the console" is a myth. The reported bugs are usually either very easy to recognise, or extremely hard to debug even for a developer (the usual token and freeze/hang/crash issues), let alone for a normal uploader who would have to spend hours redoing what they were doing while learning how to extract info from the process (more likely, they'd just run into the bug Ness law). A better solution to get useful information with no cost for anyone is T43291.

Steinsplitter moved this task from Incoming to Backlog on the Commons board.Sep 18 2015, 1:17 PM

Change 240105 had a related patch set uploaded (by MarkTraceur):
Add feedbackLink config param for bugs

https://gerrit.wikimedia.org/r/240105

matmarex closed this task as Resolved.Sep 28 2015, 3:41 PM
matmarex removed a project: Patch-For-Review.
matmarex added a subscriber: matmarex.

This change will be deployed to Commons this Wednesday.

Change 240105 merged by jenkins-bot:
Add feedbackLink config param for bugs

https://gerrit.wikimedia.org/r/240105